Subject: Re: [bitcoin-dev] Miners forced to run non-core code in order to get segwit activated

From: Hampus Sjöberg <[email-masked]>
Date: Wed, 21 Jun 2017 00:53:29 +0200

> I think it would be useful for there to exist a useful and trivial
> patch against current (0.14.2) software to engage in the BIP91-like
> orphaning, like people have provided for BIP148-- but right now I
> don't see any specification of the behavior so it's unclear to me
> _exactly_ what it would need to implement to be consistent.

I agree.
This is the latest code regarding BIP91 that got merged,
https://github.com/btc1/bitcoin/pull/21/files so that should be the spec we
need to follow (also the old BIP91 PR:
https://github.com/btc1/bitcoin/pull/17/files).
Perhaps James Hilliard could give input here though.

2017-06-21 0:34 GMT+02:00 Gregory Maxwell <[email-masked]>:

> On Tue, Jun 20, 2017 at 10:15 PM, Hampus Sjöberg
> <[email-masked]> wrote:
> > Segwit2x/BIP91/BIP148 will orphan miners that do not run a Segwit2x (or
> > BIP148) node, because they wouldn't have the new consensus rule of
> requiring
> > all blocks to signal for segwit.
>
> All versions of Bitcoin Core since 0.13.1 signal segwit, 0.14.1+ even
> when downstream mining software doesn't support it.
>
> I think it would be useful for there to exist a useful and trivial
> patch against current (0.14.2) software to engage in the BIP91-like
> orphaning, like people have provided for BIP148-- but right now I
> don't see any specification of the behavior so it's unclear to me
> _exactly_ what it would need to implement to be consistent.
>